NSX-T Data Center REST API

PATCH segment security profile id

Create a new segment security profile if the segment security profile with given id does not
exist. Otherwise, PATCH the existing segment security profile

Request:

Method:
PATCH
URI Path(s):
/policy/api/v1/infra/segment-security-profiles/{segment-security-profile-id}
/policy/api/v1/global-infra/segment-security-profiles/{segment-security-profile-id}
/policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/segment-security-profiles/{segment-security-profile-id}
Request Headers:
n/a
Query Parameters:
OverrideRequestParameters+
Request Body:
SegmentSecurityProfile+

Example Request:

PATCH https://<policy-mgr>/policy/api/v1/infra/segment-security-profiles/my-segment-security-profile { "resource_type": "SegmentSecurityProfile", "id": "MySegmentSecurityProfile", "display_name": "MySegmentSecurityProfile", "description": "MySegmentSecurityProfile", "bpdu_filter_enable": true, "bpdu_filter_allow":["01:80:c2:00:00:00", "01:80:c2:00:00:01"], "dhcp_server_block_enabled": true, "dhcp_client_block_enabled": true, "non_ip_traffic_block_enabled": true, "dhcp_server_block_v6_enabled": true, "dhcp_client_block_v6_enabled": true, "ra_guard_enabled": true }

Successful Response:

Response Code:
200 OK
Response Headers:
n/a
Response Body:
n/a

Required Permissions:

crud

Feature:

policy_profiles

Additional Errors: